<?php
/* The header for our theme
 *
 * This is the template that displays all of the <head> section and everything up until <div id="content">
 *
 * @since Manduca 1.0
 */
?>
<!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
<meta charset="<?php bloginfo( 'charset' ); ?>">
<meta name="viewport" content="width=device-width, initial-scale=1">
<link rel="profile" href="http://gmpg.org/xfn/11">

<?php wp_head(); ?>

<?php
/* Hide content until css is loaded if filter is set to true
 * Should be inserted 'display:block' at the end of child-theme stylesheet
 *
 * @Default: show content. 
 *
 * @introduced in 17.4
 * */

if( apply_filters( 'manduca_header_hide_body' , false ) ) {
	echo '<style>	body {display: none;}</style>';
}; ?>


</head>

<body id="total" <?php body_class(); ?>>
	<div id="svg-layer">
		
		<?php
		/*
		 * Add images to body
		 * */
		echo apply_filters( 'manduca_background_images', '' );
		?>
		
		<div id="page" class="hfeed site">
			
			<noscript>
				<div id="no-javascript">
					<?php _e( 'JavaScript is off. Please enable to use all functions.', 'manduca' ); ?></div>
			</noscript>
			
			<div  id="top-bar" class="top-bar"></div>
			
			<?php get_template_part( '/template-parts/header/jumplinks' ); ?>
			
			<div id="outer-masthead">
				<div id="masthead" class="site-header megamenu-parent" >
				
				
				<?php
				/*
				 * add images to header
				 * */
				
					echo apply_filters( 'manduca_header_images', '' );
				?>
					
					<div id="header-bar" class="header-bar">
						<header>
														
							<?php get_template_part( '/template-parts/header/sitetitle' ); ?>
							
							<?php get_template_part( '/template-parts/header/toolbar' ); ?>
							
							<?php get_template_part( '/template-parts/header/searchform' ); ?>
						
						</header>
					</div>
							
						<?php get_template_part( '/template-parts/header/headerimage' ); ?>
						
						<?php get_template_part( '/template-parts/header/menu' ); ?>
					
						<?php get_template_part( 'template-parts/header/breadcrumb' ); ?>
						
						<?php 
							/*		
							 *  Add breadcrumb  at the very end of masthead
							 *  This is the default
							 * @ since 16.10
							 * */
							
							do_action( 'manduca_masthead_end' );
						
						?> 
				</div><!-- .masthead -->
			</div><!-- #outer-masthead-->