<?php
/**
 * Functions used in header
 *
 * @since 17.7
 * */



 
/*
 * Accessible walker
 *  @since 17.7
 *  */

 class Manduca_accessible_walker extends Walker_Nav_Menu  {

   
	 function start_lvl( &$output, $depth = 0, $args = array() ) {
        $indent = str_repeat("\t", $depth);
		$svg = manduca_get_svg( array( 'icon' => 'caret-down' ) );
        $output .= "\n" .$indent ."<div class='sub-nav'><ul class='sub-nav-group  color-0'>\n";
    }
    function end_lvl( &$output, $depth = 0, $args = array() ) {
        $indent = str_repeat("\t", $depth);
		
		/*Translators: screen reader text saying that there is no more item in the submenu */
		$screen_reader_text = '<span class="screen-reader-text">' .__( 'End of submenu' , 'manduca' ) .'</span>';
        $output .= "$indent</ul>$screen_reader_text</div>\n";
    }

}


/*
 *add aria-current="page to the current menu item. 
 *
 *@since 17.7 
 **/

 
function manduca_add_aria_to_current_menu( $atts, $item, $args ) {
    if( in_array( 'current-menu-item', $item->classes ) ) {
        $atts['aria-current'] = 'page';
    }
    return $atts;
}

add_filter( 'nav_menu_link_attributes', 'manduca_add_aria_to_current_menu', 10, 3 );

 
/*
 * Filter the page menu arguments.
 * */
 
function manduca_page_menu_args( $args ) {
	if ( ! isset( $args['show_home'] ) ) {
		$args['show_home'] = true;
	}
	return $args;
}


add_filter( 'wp_page_menu_args', 'manduca_page_menu_args' );
 
/*
 * add Manduca breadcrumb to header
 *  Depreciated since 17.7
 * */

if( !function_exists( 'manduca_breadcrumb') ) :

	function manduca_breadcrumb() {
	get_template_part( 'template-parts/header/breadcrumb' );
	
}


endif;
