<?php
/**
 * Manduca
 *
 * @since 1.0 */

?>		
<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
	
	<header class="entry-header">
		
		<?php get_template_part( 'template-parts/entry-header' );

		
		/* Action hook
		 * name: add code after entry header
		 **/
		do_action('manduca_after_title');
		
		
		/* Boolean filter
		* @ name: manduca_meta_in_header
		* @ true : default : show meta data in footer
		* @ false : show meta data in entry header
		* since @17.1
		 **/
		$meta_flag = FALSE;
		$meta_flag  = apply_filters( 'manduca_meta_in_header' , FALSE ) ;
		if( $meta_flag ) :
			echo '<a href="#entry-content" class="screen-reader-text skip-link">' .__( 'Jump the meta to the post' , 'manduca' ) .'</a>';
			echo '<div class="entry-meta">';
			get_template_part( 'template-parts/content', 'meta' );
			echo '</div>';
		endif; ?>
		
	</header><!-- .entry-header -->
			
	<?php manduca_edit_post_link(); ?>
	
	<?php if ( ! post_password_required() && ! is_attachment() ) :
			the_post_thumbnail( 'post-size' ); endif; ?>
		
	
	<?php if ( is_search() ) : // Only display Excerpts for Search ?>
	<div class="entry-summary">
		<?php get_template_part( 'template-parts/content', 'excerpt' ) ;?>
		
	</div>
	<?php else : ?>
	<div class="entry-content" id="entry-content" >
		<?php the_content() ; //last correction: @17.9?>
		<?php wp_link_pages( array( 'before' => '<div class="page-links">' . __( 'Paging', 'manduca' ), 'after' => '</div>' ) ); ?>
	<div class="clearfix-content"></div>
	</div>
	<?php
		endif;
		/* Action hook: manduca_after_entry_content
		 * Add something after entry content
		 * @since 17.2.8
		 * */
		do_action( 'manduca_after_entry_content' );
	?>

	<footer class="entry-meta">
		<?php
			if( !$meta_flag ) {
				get_template_part( 'template-parts/content', 'meta' );
			}
		?>
		
	</footer><!-- .entry-meta -->
</article><!-- #post -->
