<?php
/**
 * Breadcrumb navigation
 * 
 * Display breadcrumb navigation
 *     = display category in case of sinlge post
 *     = display hierarchy of pages
 * 
 * @since 2.1.4
 *
 *  
 */
?>
<nav class="breadcrumb" id="breadcrumb" >
	
	<?php
		/*
		*  Filter of inital text
		* @ since 16.10
		* */
		echo apply_filters( 'manduca_breadcrumb_prefix',  __( 'You are here:', 'manduca' ) .' ' ) ;
		
		$svg = manduca_get_svg( array( 'icon' => 'arrow-right-double' ) ) ;
		
		if( !is_attachment() ) : 
	
	
		if ( is_home() || is_front_page() ) {
			printf( '<strong>%s</strong>', __( 'Home', 'manduca' ) );
		}
		
		else {
			?>
			<a rel="bookmark" href="<?php echo get_site_url(); ?>"><?php _e( 'Home', 'manduca' ); ?></a>
		
			<?php
			echo $svg;
			
				/**
				* Add custom post types or custom taxonomies here
				*
				* @since 16.7
				*/
			
				do_action( 'manduca_custom_breadcrumb' );
				
				if (is_category() ) { 
						$category_ID  		= get_queried_object()->term_id;
						$category_object 	= get_category( $category_ID );
						$parent_ID			= $category_object->category_parent;
						if( $parent_ID !== 0 ) {
							echo get_category_parents( $parent_ID, true, $svg );
						}
						single_cat_title();
				}
				
				if (is_tag() ) { 
						$tag_ID  		= get_queried_object()->term_id;
						$tag_object 	= get_tag( $tag_ID );
						single_tag_title();
				}
				
				
				//If single post
				elseif ( is_single() && get_post_type() ==='post' ) { //Title of post in category
				
					
					$term_object = get_the_terms( get_the_ID() , 'category' );
					$term  = $term_object [0];
										
					if( $term->term_id == 1 && isset( $term_object[1] ) ) {
						$term = $term_object [1];
					}
					
					$link = esc_url( get_term_link( $term ) );
					
					//get parent if there is 
					if( $term->parent !==0 ) {
						$parent_object  = get_term_by( 'id', $term->parent, 'category' );
						
						if ( !empty( $parent_object) ) { 
							$parent_link = esc_url( get_term_link( $parent_object ) );
						}
												
						echo sprintf( '<a href="%1$s">%2$s</a>%6$s<a href="%3$s">%4$s</a>%6$s%5$s' ,
									$parent_link,
									$parent_object->name,
									$link,
									$term->name,
									the_title( '', '', FALSE ),
									$svg
									);
					}
					else {
						echo sprintf( '<a href="%1$s">%2$s</a>%4$s%3$s' ,
									$link,
									$term->name,
									the_title( '', '', FALSE ),
									$svg
									);
					}
				}
			
			elseif ( is_page() ) {  //If page
				global $post;
				$first_parent = $post->post_parent;
				
				$first_parent_object = get_post( $first_parent );
				$second_parent = $first_parent_object->post_parent;
				
				if ( $second_parent != 0 ) {
					printf( '<a href="%1$s">%2$s</a>%3$s',
						   get_page_link( $second_parent ),
						   get_the_title( $second_parent ),
						   $svg
						  );
					
				}
			
				if ( $first_parent != 0 ) {
					printf( '<a href="%1$s">%2$s</a>%3$s',
						   get_page_link( $first_parent ),
						   $first_parent_object -> post_title,
						   $svg
						  );		
				}
								
				?>
			
			<?php
			
			the_title();
			}
			
			if (is_404()) {
				_e( 'Page not found', 'manduca' );
			}
			if (is_search()) {
				_e( 'Search', 'manduca' );
			} ?>
		
		<?php
		}
	else: 
		?>
			<a rel="bookmark" href="<?php echo get_site_url(); ?>"><?php _e( 'Home', 'manduca' ); ?></a>
			<?php
			echo $svg;
			the_title();
	
	endif;
	?>
	</nav>