<?php
/**
 * Search form in the header. 
 * Theme: Manduca
 *
 * @since 1.0
 * */

?>

<?php
/*Filter of search input field placeholder. 
**/
$placeholder = apply_filters( 'manduca_search_placeholder', __( 'Search', 'manduca' ) );

?>

<form role="search" method="get" id="header-searchform" class="header-searchform" action="<?php echo esc_url( home_url( '/' ) ); ?>">
	<div>
		<label for="s" ><?php _e( 'Search', 'manduca' ) ?></label>
		<input type="text" placeholder="<?php echo $placeholder; ?>" value="<?php echo get_search_query(); ?>" name="s"  id="s" />
	
		<button type="submit" class="search-submit color-2" id="search-submit" aria-label="<?php _e( 'Start search', 'manduca' ) ?>" >
		   <span class="screen-reader-text">
			   <?php _e( 'Search', 'manduca' ) ?>
		   </span>
		   <svg id="search-icon" class="search-icon" viewBox="0 0 24 24">
			   <path d="M15.5 14h-.79l-.28-.27C15.41 12.59 16 11.11 16 9.5 16 5.91 13.09 3 9.5 3S3 5.91 3 9.5 5.91 16 9.5 16c1.61 0 3.09-.59 4.23-1.57l.27.28v.79l5 4.99L20.49 19l-4.99-5zm-6 0C7.01 14 5 11.99 5 9.5S7.01 5 9.5 5 14 7.01 14 9.5 11.99 14 9.5 14z"/>
			   <path d="M0 0h24v24H0z" fill="none"/>
		   </svg>
		</button>
	</div>
</form>

